package util

import (
	"net/url"
	"path"
)

// Join is concat URL string and path
// ex) http://127.0.0.1/ and /entry
func Join(u string, p string) (string, error) {
	var err error
	var rURL *url.URL

	if rURL, err = url.Parse(u); nil != err {
		return "", err
	}

	rURL.Path = path.Join(rURL.Path, p)
	return rURL.String(), nil
}
